Bug 441379 - (Segfault) semanage boolean -D
(Segfault) semanage boolean -D
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libsemanage (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 15:39 EDT by Warren Togami
Modified: 2010-02-03 11:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 16:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Full traceback (7.34 KB, text/plain)
2008-04-07 15:39 EDT, Warren Togami
no flags Details
Patch to fix semanage boolean -D seg fault (1.24 KB, patch)
2008-04-21 09:44 EDT, Stephen Smalley
no flags Details | Diff

  None (edit)
Description Warren Togami 2008-04-07 15:39:58 EDT
selinux-policy-3.3.1-28.fc9.noarch
libsepol-2.0.26-1.fc9.x86_64
libsemanage-2.0.24-1.fc9.x86_64
libselinux-python-2.0.61-1.fc9.x86_64
libselinux-2.0.61-1.fc9.x86_64
policycoreutils-2.0.46-2.fc9.x86_64
kernel-2.6.25-0.201.rc8.git4.fc9.x86_64

Core was generated by `/usr/bin/python -E /usr/sbin/semanage boolean -D'.
Program terminated with signal 11, Segmentation fault.
[New process 3798]
#0  0x0000003a86207a76 in context_from_record (handle=<value optimized out>,
policydb=<value optimized out>, 
    cptr=<value optimized out>, record=<value optimized out>) at context.c:168
168		usrdatum = (user_datum_t *) hashtab_search(policydb->p_users.table,
Comment 1 Warren Togami 2008-04-07 15:39:58 EDT
Created attachment 301557 [details]
Full traceback
Comment 2 Stephen Smalley 2008-04-21 09:44:48 EDT
Created attachment 303146 [details]
Patch to fix semanage boolean -D seg fault
Comment 3 Daniel Walsh 2008-04-22 16:58:35 EDT
Fixed in libsemanage-2.0.25-1.fc9

Note You need to log in before you can comment on or make changes to this bug.